Type to search.

Get index settings

Auth

Get setting information for one or more indices. For data streams, it returns setting information for the stream's backing indices.

Required privileges

Index privileges view_index_metadata

Path parameters

index union string | string[] optional

Comma-separated list of data streams, indices, and aliases used to limit the request. Supports wildcards (*). To target all data streams and indices, omit this parameter or use * or _all.

Leave it out to use /_settings.

name union string | string[] optional

Comma-separated list or wildcard expression of settings to retrieve.

Leave it out to use /_settings.

Query parameters

allow_no_indices boolean · default: true

If false, the request returns an error if any wildcard expression, index alias, or _all value targets only missing or closed indices. This behavior applies even if the request targets other open indices. For example, a request targeting foo*,bar* returns an error if an index starts with foo but no index starts with bar.

expand_wildcards union oneOf · default: open

Type of index that wildcard patterns can match. If the request can target data streams, this argument determines whether wildcard expressions match hidden data streams. Supports comma-separated values, such as open,hidden.

Supported values include:

  • all: Match any data stream or index, including hidden ones.
  • open: Match open, non-hidden indices. Also matches any non-hidden data stream.
  • closed: Match closed, non-hidden indices. Also matches any non-hidden data stream. Data streams cannot be closed.
  • hidden: Match hidden data streams and hidden indices. Must be combined with open, closed, or both.
  • none: Wildcard expressions are not accepted.
Values: all open closed hidden none
flat_settings boolean · default: false

If true, returns settings in flat format.

ignore_unavailable boolean · default: false

If false, the request returns an error if it targets a missing or closed index.

include_defaults boolean · default: false

If true, return all default settings in the response.

local boolean · default: false deprecated

If true, the request retrieves information from the local node only. If false, information is retrieved from the master node.

master_timeout union oneOf · default: 30s

Period to wait for a connection to the master node. If no response is received before the timeout expires, the request fails and returns an error.

Values: -1 0

Response

application/json